### Method

# GimpUi ProcedureDialog get_int_radio

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_int_radio (
      GimpProcedureDialog* dialog,
      const gchar* property,
      GimpIntStore* store
    )

#### Description [src]

Creates a new `GimpLabelIntRadioFrame` for `property` which must necessarily be an integer, enum or boolean property. This must be used instead of `gimp_procedure_dialog_get_widget()` when you want to create a group of %GtkRadioButton-s from an integer property.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property` | `const gchar*`
| Name of the int property to build radio buttons for. It must be a property of the `GimpProcedure` `dialog` has been created for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`store` | `GimpIntStore`
| The `GimpIntStore` which will be used.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkWidget`
| The `GtkWidget` representing `property`. The object belongs to `dialog` and must not be freed.
| The data is owned by the instance.